Bug 112278 - Pivot table: filtering of a row field with numbers is not exported to XLS
Summary: Pivot table: filtering of a row field with numbers is not exported to XLS
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
6.0.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Tamás Zolnai
URL:
Whiteboard: target:6.0.0
Keywords: filter:xls
Depends on:
Blocks: Pivot-Table-XLS
  Show dependency treegraph
 
Reported: 2017-09-07 15:05 UTC by Tamás Zolnai
Modified: 2019-04-18 05:51 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
Simple document with filtering on row field (11.76 KB, application/vnd.oasis.opendocument.spreadsheet)
2017-09-07 15:05 UTC, Tamás Zolnai
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Tamás Zolnai 2017-09-07 15:05:18 UTC
Description:
I use a row field which contains number elements and change the filtering, so only some of the member items of this filed is displayed in the pivot table. If I save this into an XLS file filterins is lost and all items are enabled.

Steps to Reproduce:
1. Open attached ODP file
2. Open Order ID popup button and check only the first item ("1") is enabled
3. Save the document to an XLS file
4. Open it in LO or in MSO and check the popup button.
-> All the three items are enabled and so when you refresh the tabel, it's structure changes.

Actual Results:  
Filtering of number row field is not saved to XLS.

Expected Results:
Filtering should be saved and imported also.


Reproducible: Always

User Profile Reset: No

Additional Info:


User-Agent: Mozilla/5.0 (Windows NT 6.3; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.113 Safari/537.36
Comment 1 Tamás Zolnai 2017-09-07 15:05:44 UTC
Created attachment 136097 [details]
Simple document with filtering on row field
Comment 2 m.a.riosv 2017-09-08 14:25:17 UTC
Hi @Tamás, I think this is a dup of https://bugs.documentfoundation.org/show_bug.cgi?id=109016
Already assigned to @Bartosz.
Comment 3 Tamás Zolnai 2017-09-08 14:30:20 UTC
(In reply to m.a.riosv from comment #2)
> Hi @Tamás, I think this is a dup of
> https://bugs.documentfoundation.org/show_bug.cgi?id=109016
> Already assigned to @Bartosz.

Nope. This bug is about XLS and not XLSX.
Comment 4 m.a.riosv 2017-09-08 15:02:20 UTC
Please excuse me.
Comment 5 Commit Notification 2017-09-09 10:14:12 UTC
Tamás Zolnai committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=7c429ddca63c09a2b656715292968000bfe86a1a

tdf#112278: Pivot table: filtering of non-string fields is not exported to XLS

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.